Error on dada2 denoising

Hi Qiime 2 Forum,

I recently got another issue with running a command line which is:

qiime dada2 denoise-single --i-demultiplexed-seqs manifest.qza --p-trunc-len 0 --output-dir dada2 --p-n-threads 12 --verbose

I have merged reads from Geneious imported into Qiime 2 and running it, I passed this command:

qiime tools import --type ‘SampleData[SequencesWithQuality]’ --input-path 16Smanifest.csv --output-path manifest.qza --input-format SingleEndFastqManifestPhred33

So i am treating my reads as single ( sice it is merged reads)
And I cannot pass this denosing step.

The error msg looks like this:

  1. Filtering Error in names(answer) <- dots[[1L]] :
    ‘names’ attribute [8] must be the same length as the vector [1]
    Execution halted
    Traceback (most recent call last):
    File “/home/qiime2/miniconda/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 154, in _denoise_single
    run_commands([cmd])
    File “/home/qiime2/miniconda/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/qiime2/miniconda/envs/qiime2-2019.7/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_single.R’, ‘/tmp/qiime2-archive-3ebkby8a/562afafb-9764-4dff-98c9-26a5d3249b4f/data’, ‘/tmp/tmpfe92_8c4/output.tsv.biom’, ‘/tmp/tmpfe92_8c4/track.tsv’, ‘/tmp/tmpfe92_8c4’, ‘0’, ‘0’, ‘2.0’, ‘2’, ‘Inf’, ‘consensus’, ‘1.0’, ‘12’, ‘1000000’, ‘NULL’, ‘16’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2019.7/lib/python3.6/site-packages/q2cli/commands.py”, line 327, in call
results = action(**arguments)
File “</home/qiime2/miniconda/envs/qiime2-2019.7/lib/python3.6/site-packages/decorator.py:decorator-gen-457>”, line 2, in denoise_single
File “/home/qiime2/miniconda/envs/qiime2-2019.7/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 240, in bound_callable
output_types, provenance)
File “/home/qiime2/miniconda/envs/qiime2-2019.7/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 383, in callable_executor
output_views = self._callable(**view_args)
File “/home/qiime2/miniconda/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 189, in denoise_single
band_size=‘16’)
File “/home/qiime2/miniconda/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 165, in _denoise_single
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

See above for debug info.

And I am trying to figure out what would be causing the error?
maybe my merged files cannot be treated as single pair? but this code has been successfully ran with other merged reads…So I am very puzzled.

My next step was importing read 1 and 2 and do the pair-end denosing but then during the denosing procedure, I found out that i would lose almost half of the reads… but the QC of 30 was almost 80% from the raw sequencing.

Can anybody has any idea what is going on?

Thanks

Hi @Sammi,
You are correct that you shouldn’t be passing merged reads into DADA2. This is because DADA2 has its own internal merging process. One of the important issues with feeding the pre-merged reads is that quality scores in those merging regions change, and depending on the tool you are using they may be re-calculated or left out. In either situation this messes up with DADA2 ability to properly develop an error model to use.

Are you sure this has been previously run on q2-dada single and not deblur? Deblur can infact deal with merged reads because it does not rely on the quality scores for denoising. Otherwise I’m a little surprised to hear this was successfully done.

For now let’s not worry about the error message and instead try either:
a) Re-import your unmerged raw fastq files and use q2 dada2-paired or,
b) Use q2-deblur for your denoising. There is an example of how to do these in the Moving Pictures tutorial.

Hope this help.

Thank you Mehrbod_Estaki!

I am currently running the subset of my data and again having troubleshooting with this msg…I am at DADA2 phase to de-noise my samples but I am unsure why I am encountering this error?
Something to do with my computer setting?

(qiime2-2019.7) [email protected]:~/Desktop$ qiime dada2 denoise-paired --i-demultiplexed-seqs paired-end.qza --p-trim-left-f 17 --p-trim-left-r 21 --p-trunc-len-f 245 --p-trunc-len-r 220 --output-dir dada2/ --verbose
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /tmp/tmpl7id6dg1/forward /tmp/tmpl7id6dg1/reverse /tmp/tmpl7id6dg1/output.tsv.biom /tmp/tmpl7id6dg1/track.tsv /tmp/tmpl7id6dg1/filt_f /tmp/tmpl7id6dg1/filt_r 245 220 17 21 2.0 2.0 2 consensus 1.0 1 1000000

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.2 / RcppParallel: 4.4.3

  1. Filtering …
  2. Learning Error Rates
    131968224 total bases in 578808 reads from 8 samples will be used for learning the error rates.
    Traceback (most recent call last):
    File “/home/qiime2/miniconda/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 234, in denoise_paired
    run_commands([cmd])
    File “/home/qiime2/miniconda/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File “/home/qiime2/miniconda/envs/qiime2-2019.7/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/tmp/tmpl7id6dg1/forward’, ‘/tmp/tmpl7id6dg1/reverse’, ‘/tmp/tmpl7id6dg1/output.tsv.biom’, ‘/tmp/tmpl7id6dg1/track.tsv’, ‘/tmp/tmpl7id6dg1/filt_f’, ‘/tmp/tmpl7id6dg1/filt_r’, ‘245’, ‘220’, ‘17’, ‘21’, ‘2.0’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘1’, ‘1000000’]’ died with <Signals.SIGKILL: 9>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2019.7/lib/python3.6/site-packages/q2cli/commands.py”, line 327, in call
results = action(**arguments)
File “</home/qiime2/miniconda/envs/qiime2-2019.7/lib/python3.6/site-packages/decorator.py:decorator-gen-459>”, line 2, in denoise_paired
File “/home/qiime2/miniconda/envs/qiime2-2019.7/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 240, in bound_callable
output_types, provenance)
File “/home/qiime2/miniconda/envs/qiime2-2019.7/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 383, in callable_executor
output_views = self._callable(**view_args)
File “/home/qiime2/miniconda/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 249, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

Plugin error from dada2:

An error was encountered while running DADA2 in R (return code -9), please inspect stdout and stderr to learn more.

See above for debug info.

I could not find information regarding “return code-9”.

Thanks in advance!

Hi @Sammi,
This is a brand new error, does that mean you followed my earlier recommendation and re-imported unmerged fastq files? It would be good to clarify these.

As for the Kill Signal error here, I’m not too sure but I wonder if you are running out of memory. How much memory do you have allocated to the qiime2 environment? Can you try increasing memory allocation (or using a different machine with more juice) and see if it completes?

First, i did followed your earlier recommendation and re-imported unmerged fastq files. Second, When i set the qiime 2 environment, i think i followed through the protocol on the Qiime 2 virtual box install protocol. I did exactly the same…

Hi @Sammi,

Ok! Thanks for clarifying.

While that tutorial does get you set up with VB, it does install default settings which I believe have very low memory allocations. You can change this by going into the VB settings of your qiime2 image before launching it and manually changing RAM (and perhaps CPU) dedication. I would recommend a minimum of 4 Gigs of RAM but more is better if your system has more to offer.

2 Likes

Thank you so much!! I will definitely try that and hope for no more errors!

2 Likes

A post was split to a new topic: Taxa collapse error: missing IDs from taxonomy file